UC1:
    number:
        Use Case 3.1
    title:        
        Create constant rate constant
    actor:
        Modeler
    description:    
        Modeler creates a ConstantRateConstant using the parameterized constructor
    preconditions:  
        - None
    postconditions: 
        The rate constant is initialized to the correct values
    steps:
        - The user instantiates a ConstantRateConstant using the parameterized constructor
        - The following values are used: name = "rate1", k = 1.23 
    extensions:
        - The user provides an empty string for the name 

UC2:
    number:
        Use Case 3.2
    title:        
        Create constant rate constant with empty name
    actor:
        Modeler
    description:    
        User creates a ConstantRateConstant using the parameterized constructor and provides and empty string for the name
    preconditions:  
        - None
    postconditions: 
        - The constructor throws an InvalidRateConstantName exception
        - The rate constant is not created
    steps:
        - The user instantiates a ConstantRateConstant using the parameterized constructor
        - The following values are used: name = "", k = 1.23 
    extensions:    

UC3:
    number:
        Use Case 3.3
    title:        
        Access constant rate constant name using getName()
    actor:
        Modeler
    description:    
        User calls getName() on an initialized ConstantRateConstant and revives the name
    preconditions:  
        - A ConstantRateConstant has been initialized with the name "rate1"
    postconditions: 
        - getName() returns the string "rate1"
    steps:
        - The user calls getName() on the initialized ConstantRateConstant instance
    extensions:

UC4:
    number:
        Use Case 3.4
    title:        
        Access constant rate constant "k" value using getK()
    actor:
        Modeler
    description:    
        User calls getK() on an initialized ConstantRateConstant and revives the "k" value
    preconditions:  
        - A ConstantRateConstant has been initialized with the "k" value 1.23
    postconditions: 
        - getK() returns the value 1.23 as a double
    steps:
        - The user calls getK() on the initialized ConstantRateConstant instance
    extensions:

